Bug 505813 - Review Request: ballview - Molecule and protein visualisation and analysis
Review Request: ballview - Molecule and protein visualisation and analysis
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 00:24 EDT by D Haley
Modified: 2010-03-29 02:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-19 16:19:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D Haley 2009-06-14 00:24:05 EDT
SPEC URL: http://dhd.selfip.com/427e/ballview-1.spec
SRPM URL: http://dhd.selfip.com/427e/ballview-1.2-1.fc10.src.rpm 

Koji Build:
F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1410847

RPMLint output:
]$ rpmlint  ../SRPMS/ballview-1.2-1.fc10.src.rpm ../RPMS/i386/ballview-*2-1.* ../RPMS/noarch/ballview-doc-1.2-1.fc10.noarch.rpm 
ballview.i386: E: explicit-lib-dependency libXmu
ballview.i386: W: shared-lib-calls-exit /usr/lib/libVIEW.so.1.2 exit@GLIBC_2.0
ballview-devel.i386: W: no-documentation
ballview-doc.noarch: W: file-not-utf8 /usr/share/doc/ballview/doxygen/latex/classBALL_1_1CreateSpectrumProcessor.tex
ballview-doc.noarch: W: file-not-utf8 /usr/share/doc/ballview/doxygen/latex/classBALL_1_1RotationalEntropyLoss.tex
5 packages and 0 specfiles checked; 1 errors, 4 warnings.

Without the libXmu requires, the build fails at configure time. Not sure what requires I should use here. As for the UTF-8 errors, I will fix them along with whatever comments are made here for -2. Sorry about that, limited time to spend on this and the build takes my poor little machine a long time to complete.

Bugs have been opened upstream :
-regarding the use of the exit() function
http://ball-trac.bioinf.uni-sb.de/ticket/221
-Missing LGPL boilerplate on source files.
http://ball-trac.bioinf.uni-sb.de/ticket/220
-Incorrectly written unit test
http://ball-trac.bioinf.uni-sb.de/ticket/219
-Header file patches
http://ball-trac.bioinf.uni-sb.de/ticket/218


Possible problems:
*The include subdir of the tarball has .iC files, which I have no idea what they are for. They appear to be C++ like, with heavy use of preprocessor macros, but why should this be in include? 
*One of the unit tests hangs (on the actual test itself, not the component being tested, as far as I can tell). I have therefore disabled make test, and opened an upstream bug.
*I removed smpflag support, as I suspect the makefiles of not being reliable when run in this fashion (I had a few problems building with -j 2, which were intermittent, which have not re-occurred since removal of smpflags).
*Enabling GSL and FFTW support modifies the licence to GPLv3. This can be disabled at configure time to match the closer upstream LGPL. However I wasn't entirely sure of fedora policy here, so I just enabled them and set the licence field accordingly.
*Ballview complains about missing python import "BALL" on startup and subsequently disables in-app python support. Wasn't sure how to fix this at this stage.

I would appreciate a co-maintainer if possible, as I am not entirely familiar with QT & SIP, and the package is somewhat large.
Comment 1 Susi Lehtola 2009-08-06 09:05:08 EDT
A few notes:

- The license of GSL, FFTW &c does not affect the license tag (Fedora policy). License should be lgpl.

- Drop the explicit Requires, they're automatically picked up by rpm.
http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

- You can only define subpackages
 BuildArch:	noarch
on >= F11 and >= RHEL6.

- You can change
 find ./data/ -name \*.data -exec chmod 644 {} \;
 chmod 644 ./data/structures/test.btf
 chmod 644 ./source/STRUCTURE/smartsParserParser.y
 chmod 644 ./source/STRUCTURE/smartsParserLexer.l
 find ./ -name \*.h -executable -exec chmod 644 {} \;
 find ./ -name \*.C -executable -exec chmod 644 {} \;
to
 find data/ -name \*.data -exec chmod 644 {} \;
 chmod 644 data/structures/test.btf \
  source/STRUCTURE/smartsParserParser.y \
  source/STRUCTURE/smartsParserLexer.l
 find . -name \*.h -executable -exec chmod 644 {} \;
 find . -name \*.C -executable -exec chmod 644 {} \;

- Change
 BuildRequires:	qt-devel
to
 BuildRequires: qt4-devel
to get qt4. 

- Why do you remove header documentation? You could place them in the -doc package.

- Don't add an soversion yourself. This has to be done by upstream.

- Drop
 #Install documentation
 mkdir -p  %{buildroot}%{_docdir}/%{name}
 cp -Rp ./doc/BALLView %{buildroot}%{_docdir}/%{name}
 cp -Rp ./doc/doxygen %{buildroot}%{_docdir}/%{name}/doxygen
instead list these in the %doc of -doc.

- Instead of
 /%{_libdir}/libBALL.so.*
use
 %{_libdir}/libBALL.so.*
as %{_libdir} starts with a /. Same thing with other directories.
Comment 2 Bug Zapper 2009-11-18 07:05:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 D Haley 2009-11-19 07:11:06 EST
I'm sorry, work has caught up to me, and I will not be able to attend to this package for the next two months. I have marked it FE-DEADREVIEW until then. If someone needs/wants it urgently, feel free to take the package over. 

I did make some of the changes you suggested, and will post this in the next few days.
Comment 4 Jason Tibbitts 2009-11-19 12:40:56 EST
FYI, FE-DEADREVIEW is what we put in the "Blocks" field after we close a ticket due to inactivity.  I suspect you just wanted to drop this out of the review queue, which I've done with "NotReady".

BTW, the original package fails to build for me in mock on rawhide.  I get quite a lot of build output, and then:

creating dependencies for PYTHON/EXTENSIONS...
pyBALLSipHelper.C:8:30: error: sipBALLComposite.h: No such file or directory

and several similar errors.  I've also indicated the build failure in the whiteboard.  All of these whiteboard and blocker strings are documented in https://fedoraproject.org/wiki/Package_Review_Process if you're curious.
Comment 5 Jason Tibbitts 2010-01-25 18:13:07 EST
This is still marked as failing to build; I'll close this ticket soon if that's not rectified.
Comment 6 D Haley 2010-02-19 16:19:53 EST
Closing. I have no fedora machine at this time. For interest, I have uploaded a spec to fedorapeople.
http://mycae.fedorapeople.org/SPECS/ballview-1.3RC1.spec

Note You need to log in before you can comment on or make changes to this bug.